| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
libdar::archive_options_listing Class Reference
API

class holding optional parameters used to list the contents of an existing archive More...

`#include <archive_options.hpp>`

Inherits libdar::on_pool.

## Public Types
enum | listformat { normal, tree, xml, slicing }
| defines the way archive listing is done:

## Public Member Functions
| archive_options_listing (const archive_options_listing &ref)
const archive_options_listing & | operator= (const archive_options_listing &ref)
void | clear ()
void | set_info_details (bool info_details)
void | set_list_mode (listformat list_mode)
void | set_selection (const mask &selection)
void | set_subtree (const mask &subtree)
void | set_filter_unsaved (bool filter_unsaved)
void | set_display_ea (bool display_ea)
void | set_user_slicing (const infinint &slicing_first, const infinint &slicing_others)
void | set_sizes_in_bytes (bool arg)
bool | get_info_details () const
listformat | get_list_mode () const
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_filter_unsaved () const
bool | get_display_ea () const
bool | get_user_slicing (infinint &slicing_first, infinint &slicing_others) const
bool | get_sizes_in_bytes () const
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

class holding optional parameters used to list the contents of an existing archive

Definition at line 1167 of file archive_options.hpp.

The documentation for this class was generated from the following file:

- archive_options.hpp